"use strict";

var _chunkAQHSLGFKcjs = require('../../chunk-AQHSLGFK.cjs');
require('../../chunk-QLIFS36C.cjs');


var _chunkHBGU4IMKcjs = require('../../chunk-HBGU4IMK.cjs');
require('../../chunk-UJPWHP47.cjs');
require('../../chunk-7L2G4SFK.cjs');
require('../../chunk-C5DWDWUS.cjs');
require('../../chunk-XTDX3HZA.cjs');
require('../../chunk-OOAMMLXY.cjs');
require('../../chunk-4B2XCWGL.cjs');
require('../../chunk-R6IDIY2L.cjs');
require('../../chunk-5CIFX7O6.cjs');
require('../../chunk-LXSY24WI.cjs');
require('../../chunk-KMITBP74.cjs');
require('../../chunk-7BMZYEWF.cjs');
require('../../chunk-S4V3EGNS.cjs');
require('../../chunk-N46W55MH.cjs');
require('../../chunk-UKD65B23.cjs');
require('../../chunk-Y6KPVUVD.cjs');
require('../../chunk-J42M6DF3.cjs');
require('../../chunk-L646RZQB.cjs');
require('../../chunk-ZYPCVNSG.cjs');
require('../../chunk-VFIICDKU.cjs');
require('../../chunk-PDXKNB3S.cjs');
require('../../chunk-XR7AMYN7.cjs');
require('../../chunk-SLEHBFHV.cjs');
require('../../chunk-KMMN6P2X.cjs');
require('../../chunk-AGQV4BOO.cjs');
require('../../chunk-LURLRIHI.cjs');
require('../../chunk-67Q7IWIS.cjs');
require('../../chunk-B4JXPT6I.cjs');
require('../../chunk-KCBJGJ24.cjs');
require('../../chunk-RPAQV2V5.cjs');
require('../../chunk-SVJWXMAG.cjs');
require('../../chunk-TFJRKEPC.cjs');
require('../../chunk-MPD2DJAD.cjs');
require('../../chunk-ZGKV237Z.cjs');
require('../../chunk-7BEQHGH5.cjs');
require('../../chunk-VAG3XY63.cjs');
require('../../chunk-FEYF6QXS.cjs');
require('../../chunk-SFVQNT7T.cjs');
require('../../chunk-N7OUNPMM.cjs');
require('../../chunk-Z4FNOCPD.cjs');
require('../../chunk-GWXPD6I7.cjs');
require('../../chunk-N5KTMDVO.cjs');
require('../../chunk-B3U4FDQH.cjs');
require('../../chunk-YELWQAMG.cjs');
require('../../chunk-RHWKNEUH.cjs');
require('../../chunk-DRU33ZUG.cjs');
require('../../chunk-LHP7OTMV.cjs');
require('../../chunk-5BF2LEAU.cjs');
require('../../chunk-6T6PI6XG.cjs');
require('../../chunk-TUWUD5A6.cjs');
require('../../chunk-CUGOCLWN.cjs');
require('../../chunk-W3WUDQIC.cjs');
require('../../chunk-BXM45HLQ.cjs');
require('../../chunk-HHZVPIBD.cjs');
require('../../chunk-YY4AHBBL.cjs');
require('../../chunk-IMCDDJAJ.cjs');

// src/common/msg/pubsub.spec.ts
describe("connection", () => {
  it("should send and receive messages", async () => {
    expect.assertions(3);
    const [f1, f2] = _chunkHBGU4IMKcjs.createLocalChannelPair.call(void 0, );
    const c1 = _chunkAQHSLGFKcjs.usePubSub.call(void 0, { channel: f1 });
    const c2 = _chunkAQHSLGFKcjs.usePubSub.call(void 0, { channel: f2 });
    let counter = 0;
    c1.on("bla", (a, b) => {
      counter -= b;
    });
    c2.on("bla", (a, b) => {
      counter += b;
      expect(a).toBe("hello");
    });
    await c1.emit("bla", "hello", 3);
    expect(counter).toBe(3);
    await c2.emit("bla", "hello2", 2);
    expect(counter).toBe(1);
  });
  it("should send and receive messages - alternative syntax", async () => {
    expect.assertions(3);
    const [f1, f2] = _chunkHBGU4IMKcjs.createLocalChannelPair.call(void 0, );
    const c1 = _chunkAQHSLGFKcjs.usePubSub.call(void 0, { channel: f1 });
    const c2 = _chunkAQHSLGFKcjs.usePubSub.call(void 0, { channel: f2 });
    let counter = 0;
    c1.subscribe("bla", (a, b) => {
      counter -= b;
    });
    c2.subscribe("bla", (a, b) => {
      counter += b;
      expect(a).toBe("hello");
    });
    await c1.publish("bla", "hello", 3);
    expect(counter).toBe(3);
    await c2.publish("bla", "hello2", 2);
    expect(counter).toBe(1);
  });
});
//# sourceMappingURL=pubsub.spec.cjs.map