"use strict";"strict";




var _chunkXFISWAWXcjs = require('../../chunk-XFISWAWX.cjs');
require('../../chunk-VFIICDKU.cjs');
require('../../chunk-PDXKNB3S.cjs');
require('../../chunk-XR7AMYN7.cjs');
require('../../chunk-SLEHBFHV.cjs');
require('../../chunk-KMMN6P2X.cjs');
require('../../chunk-AGQV4BOO.cjs');
require('../../chunk-LURLRIHI.cjs');
require('../../chunk-67Q7IWIS.cjs');
require('../../chunk-B4JXPT6I.cjs');
require('../../chunk-KCBJGJ24.cjs');
require('../../chunk-RPAQV2V5.cjs');
require('../../chunk-SVJWXMAG.cjs');
require('../../chunk-TFJRKEPC.cjs');
require('../../chunk-MPD2DJAD.cjs');
require('../../chunk-ZGKV237Z.cjs');
require('../../chunk-7BEQHGH5.cjs');
require('../../chunk-VAG3XY63.cjs');
require('../../chunk-FEYF6QXS.cjs');
require('../../chunk-SFVQNT7T.cjs');
require('../../chunk-N7OUNPMM.cjs');
require('../../chunk-Z4FNOCPD.cjs');
require('../../chunk-GWXPD6I7.cjs');
require('../../chunk-N5KTMDVO.cjs');
require('../../chunk-B3U4FDQH.cjs');
require('../../chunk-YELWQAMG.cjs');
require('../../chunk-RHWKNEUH.cjs');
require('../../chunk-DRU33ZUG.cjs');
require('../../chunk-LHP7OTMV.cjs');
require('../../chunk-5BF2LEAU.cjs');
require('../../chunk-6T6PI6XG.cjs');
require('../../chunk-TUWUD5A6.cjs');
require('../../chunk-CUGOCLWN.cjs');
require('../../chunk-W3WUDQIC.cjs');
require('../../chunk-BXM45HLQ.cjs');
require('../../chunk-HHZVPIBD.cjs');
require('../../chunk-YY4AHBBL.cjs');
require('../../chunk-IMCDDJAJ.cjs');

// src/common/schema/index.spec.ts
describe("schema", () => {
  it("create schema", async () => {
    const schema = _chunkXFISWAWXcjs.object.call(void 0, {
      id: _chunkXFISWAWXcjs.string.call(void 0, ).default(() => "123"),
      name: _chunkXFISWAWXcjs.string.call(void 0, ),
      age: _chunkXFISWAWXcjs.number.call(void 0, ).optional(),
      obj: _chunkXFISWAWXcjs.object.call(void 0, {
        test: _chunkXFISWAWXcjs.number.call(void 0, )
      }).optional()
    });
    const sample = {
      name: "Hello",
      age: 42
    };
    const sample2 = {
      name: "Hello"
    };
    expect(schema).toMatchInlineSnapshot(`
      Object {
        "_object": Object {
          "age": Object {
            "_check": [Function],
            "_optional": true,
            "default": [Function],
            "optional": [Function],
            "parse": [Function],
            "type": "number",
          },
          "id": Object {
            "_check": [Function],
            "_default": [Function],
            "default": [Function],
            "optional": [Function],
            "parse": [Function],
            "type": "string",
          },
          "name": Object {
            "_check": [Function],
            "default": [Function],
            "optional": [Function],
            "parse": [Function],
            "type": "string",
          },
          "obj": Object {
            "_object": Object {
              "test": Object {
                "_check": [Function],
                "default": [Function],
                "optional": [Function],
                "parse": [Function],
                "type": "number",
              },
            },
            "_optional": true,
            "default": [Function],
            "optional": [Function],
            "parse": [Function],
            "type": "object",
          },
        },
        "default": [Function],
        "optional": [Function],
        "parse": [Function],
        "type": "object",
      }
    `);
    expect(schema.parse(sample)).toMatchInlineSnapshot(`
      Object {
        "age": 42,
        "id": "123",
        "name": "Hello",
      }
    `);
  });
});
//# sourceMappingURL=index.spec.cjs.map