"use strict";

var _chunkJDXMRPD2cjs = require('../../chunk-JDXMRPD2.cjs');
require('../../chunk-4B2XCWGL.cjs');
require('../../chunk-R6IDIY2L.cjs');
require('../../chunk-5CIFX7O6.cjs');



var _chunkLXSY24WIcjs = require('../../chunk-LXSY24WI.cjs');
require('../../chunk-KMITBP74.cjs');
require('../../chunk-7BMZYEWF.cjs');
require('../../chunk-N46W55MH.cjs');
require('../../chunk-UKD65B23.cjs');
require('../../chunk-Y6KPVUVD.cjs');


var _chunkJ42M6DF3cjs = require('../../chunk-J42M6DF3.cjs');
require('../../chunk-L646RZQB.cjs');
require('../../chunk-ZYPCVNSG.cjs');
require('../../chunk-VFIICDKU.cjs');
require('../../chunk-PDXKNB3S.cjs');
require('../../chunk-XR7AMYN7.cjs');
require('../../chunk-SLEHBFHV.cjs');
require('../../chunk-KMMN6P2X.cjs');
require('../../chunk-AGQV4BOO.cjs');
require('../../chunk-LURLRIHI.cjs');
require('../../chunk-67Q7IWIS.cjs');
require('../../chunk-B4JXPT6I.cjs');
require('../../chunk-KCBJGJ24.cjs');
require('../../chunk-RPAQV2V5.cjs');
require('../../chunk-SVJWXMAG.cjs');
require('../../chunk-TFJRKEPC.cjs');
require('../../chunk-MPD2DJAD.cjs');
require('../../chunk-ZGKV237Z.cjs');
require('../../chunk-7BEQHGH5.cjs');
require('../../chunk-VAG3XY63.cjs');
require('../../chunk-FEYF6QXS.cjs');
require('../../chunk-SFVQNT7T.cjs');
require('../../chunk-N7OUNPMM.cjs');
require('../../chunk-Z4FNOCPD.cjs');
require('../../chunk-GWXPD6I7.cjs');


var _chunkN5KTMDVOcjs = require('../../chunk-N5KTMDVO.cjs');
require('../../chunk-B3U4FDQH.cjs');
require('../../chunk-YELWQAMG.cjs');
require('../../chunk-RHWKNEUH.cjs');
require('../../chunk-DRU33ZUG.cjs');
require('../../chunk-LHP7OTMV.cjs');
require('../../chunk-5BF2LEAU.cjs');
require('../../chunk-6T6PI6XG.cjs');
require('../../chunk-TUWUD5A6.cjs');
require('../../chunk-CUGOCLWN.cjs');
require('../../chunk-W3WUDQIC.cjs');
require('../../chunk-BXM45HLQ.cjs');
require('../../chunk-HHZVPIBD.cjs');
require('../../chunk-YY4AHBBL.cjs');
require('../../chunk-IMCDDJAJ.cjs');

// src/node/log/log-file.spec.ts
var _fs = require('fs');
describe("log File", () => {
  afterAll(() => {
    _fs.rmSync.call(void 0, `${__dirname}/tmp`, { recursive: true, force: true });
  });
  it("should write log", async () => {
    const path = `${__dirname}/tmp/test.log`;
    _chunkLXSY24WIcjs.getGlobalLogger.call(void 0, ).setHandlers([
      _chunkJDXMRPD2cjs.LoggerFileHandler.call(void 0, path, {
        level: _chunkJ42M6DF3cjs.LogLevelAll,
        filter: "*"
      })
    ]);
    const log = _chunkLXSY24WIcjs.DefaultLogger.call(void 0, "test");
    log("debug");
    log.info("info");
    log.warn("warn");
    log.error("error");
    await _chunkN5KTMDVOcjs.sleep.call(void 0, 1e3);
    expect(_fs.statSync.call(void 0, path).size).toBeGreaterThan(100);
    _fs.unlinkSync.call(void 0, path);
  });
});
//# sourceMappingURL=log-file.spec.cjs.map