// src/common/data/regexp.ts
var rxEscape = /[\\\-[\]/{}()*+?.^$|]/g;
function escapeRegExp(value) {
  if (!value)
    return "";
  if (value instanceof RegExp)
    return value.source;
  return value.replace(rxEscape, "\\$&");
}

export {
  escapeRegExp
};
//# sourceMappingURL=chunk-PN34O4SN.js.map