import {
  isNumber,
  isString
} from "./chunk-V5ZQ2SFQ.js";

// src/common/log/log-config.ts
function _LoggerFromConfig(Logger, config, name, level) {
  if (config === true)
    return Logger(name, level);
  if (isString(config) && config.length > 0)
    return Logger(config, level);
  if (isNumber(config))
    return Logger(name, config);
  if (typeof config === "function")
    return config;
  return Logger(name, false);
}

export {
  _LoggerFromConfig
};
//# sourceMappingURL=chunk-X4GLIIX5.js.map